Subject: Re: Sudden kernel panic with skge in 3.3-rc2

From: Nick Bowler <[email-masked]>
Date: Fri, 3 Feb 2012 14:28:32 -0500

Hi Stephen,

On 2012-02-02 12:45 -0800, Stephen Hemminger wrote:
> On Thu, 2 Feb 2012 14:21:15 -0500
> Nick Bowler <[email-masked]> wrote:
> > I just saw this panic on 3.3-rc2 with skge.  I don't know whether it's
> > reproducible yet -- the machine crashed while I was not actively using
> > it.  We've had this type of card for a few years and I've never seen this
> > before so it may be a regression, but admittedly we don't use them all
> > that often.
[...]
> 
> Try reverting this commit, it seems problematic
> commit d0249e44432aa0ffcf710b64449b8eaa3722547e
> Author: stephen hemminger <[email-masked]>
> Date:   Thu Jan 19 14:37:18 2012 +0000
> 
>     skge: check for PCI dma mapping errors

Thanks for the pointer, I'll try that.  Unfortunately some other stuff
has come up so I probably won't be able to test it until next week.

Cheers,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)